Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450872 - Logitech USB headset not recognized for Pulseaudio
Summary: Logitech USB headset not recognized for Pulseaudio
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 446952 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 14:52 UTC by Matěj Cepl
Modified: 2018-04-11 07:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:05:39 UTC


Attachments (Terms of Use)
output of lshal (deleted)
2008-06-11 14:52 UTC, Matěj Cepl
no flags Details
output of tree /sys command (deleted)
2008-06-11 14:52 UTC, Matěj Cepl
no flags Details
output of pulseaudio -vv (deleted)
2008-06-11 14:53 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2008-06-11 14:52:12 UTC
Description of problem:
When my Logitech USB headset is inserted into computer, it is not recognized by
Pulseaudio. However, it is found in lshal output, although not as an audio device.

Version-Release number of selected component (if applicable):
hal-0.5.11-1.fc9.i386
pulseaudio-0.9.10-1.fc9.i386
alsa-lib-1.0.16-3.fc9.i386
Linux viklef 2.6.25.4-30.fc9.i686 #1 SMP Wed May 21 18:12:35 EDT 2008 i686 i686
i386 GNU/Linux

How reproducible:
100%

Steps to Reproduce:
1.insert USB headset into USB slot
2.
3.
  
Actual results:
Pulseaudio doesn't recognize it as audio device

Expected results:
it should

Additional info:
There might be something about my USB ports, because apparently one of them
doesn't work at all -- lshal doesn't see anything there. But in the other it
does, and it did work just in the morning.

Comment 1 Matěj Cepl 2008-06-11 14:52:12 UTC
Created attachment 308934 [details]
output of lshal

Comment 2 Matěj Cepl 2008-06-11 14:52:58 UTC
Created attachment 308935 [details]
output of tree /sys command

Comment 3 Matěj Cepl 2008-06-11 14:53:24 UTC
Created attachment 308936 [details]
output of pulseaudio -vv

Comment 4 David Zeuthen 2008-06-11 14:59:25 UTC
(In reply to comment #2)
> Created an attachment (id=308935) [edit]
> output of tree /sys command
> 

This is a kernel bug

|   |   |-- pcmC1D0c -> ../../devices/virtual/sound/pcmC1D0c
|   |   |-- pcmC1D0p -> ../../devices/virtual/sound/pcmC1D0p

assuming pcmC1* is your USB headset.

> But in the other it does, and it did work just in the morning.

Did you reboot into a different kernel since this morning? Can you try this on
an older kernel and if it works figure out what kernel package caused this?


Comment 5 David Zeuthen 2008-06-11 15:05:37 UTC
OTOH, there's

|   |   |-- card1 ->
../../devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/sound/card1

and I think user space (e.g. HAL) can deal with this. However, that appears to
be a broken symlink (according to 'tree /sys' output).

Matej, can you paste the output of

/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/sound/card1

Thanks.

Comment 6 David Zeuthen 2008-06-11 15:12:29 UTC
*** Bug 446952 has been marked as a duplicate of this bug. ***

Comment 7 Matěj Cepl 2008-06-11 15:13:50 UTC
It doesn't seem like I have new kernel:

[matej@viklef ~]$ rpm -q kernel --queryformat "%{NAME}-%{VERSION}-%{RELEASE}
%{INSTALLTIME}\n"
kernel-2.6.25.3-18.fc9 1210874916
kernel-2.6.25.4-26.fc9 1211321726
kernel-2.6.25.4-30.fc9 1212083527
[matej@viklef ~]$ for time in $(rpm -q kernel --queryformat "%{INSTALLTIME} ") ;
do date -d @$time ; done
Čt kvě 15 20:08:36 CEST 2008
St kvě 21 00:15:26 CEST 2008
Čt kvě 29 19:52:07 CEST 2008
[matej@viklef ~]$ 

("kvě" is May in Czech)

[root@viklef ~]# LANG=C cat
/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/sound/card1
cat: /sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/sound/card1: No such
file or directory
[root@viklef ~]# 


Comment 8 Bug Zapper 2009-06-10 01:33:19 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 18:05:39 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.